Skip to content

Get a paginated list of all published media content

GET
/media
curl --request GET \
--url 'https://app.mediamanager.io/api/v1/media?team_id=1&filter%5Btoken%5D=fa9ef782-4e41-428f-8add-8440878790ec%2C956916a0-443d-474a-a421-5240fdc91fc5&filter%5Bfolder_id%5D=2%2C4&filter%5Bvideo%5D=true&filter%5Baudio%5D=true&filter%5Blive%5D=true&filter%5Btitle%5D=fund%2Casset%20range&filter%5Bdescription%5D=zero%20target%2Callocation%20approach&filter%5Bcustom_fields%5D=funds%2Casset&page=4' \
--header 'Authorization: <Authorization>'

List all media content with available filtering

team_id
required
integer

The team id to use for the request

Example
1
filter[token]
string

Filter media for a specific token or tokens as a comma list

Example
fa9ef782-4e41-428f-8add-8440878790ec,956916a0-443d-474a-a421-5240fdc91fc5
filter[folder_id]
string

Filter by folder id or comma list of ids

Example
2,4
filter[video]
string

Filter media for video only

Example
true
filter[audio]
string

Filter media for audio only

Example
true
filter[live]
string

Filter media for livestreams only

Example
true
filter[title]
string

Filter media by words in the title as single word or comma list

Example
fund,asset range
filter[description]
string

Filter media by words in the description as single word or comma list

Example
zero target,allocation approach
filter[custom_fields]

Filter media by custom fields.

You can filter with filter[custom_fields]=hedge to return any media which has a custom field containing the filter term. Or you can filter on specific fields by adding an extra filter for that field, filter[custom_fields][drupal_uid]=11

Filtering on custom fields does support comma lists, but only on the custom_fields filter. Such as filter[custom_fields]=11,303

One of:
string
Example
funds,asset
sort
string

Sort returned media by allowed fields.

  • title
  • created_at
  • updated_at

By default sorting is ascending, for descending order prefix with a hyphen.

  • sort=title A -> Z
  • sort=-title Z -> A
  • sort=created_at Oldest first
  • sort=-created_at Newest first
page
integer

Which page to return results for

Example
4
key
string

Internal use

OK

Media type application/json
object
data
Array<object>

Shared schema for all media of any content type

object
token
string format: uuid
type
string
Allowed values: Audio Video
title
string
tags
Array<string>
duration
number
version
integer
is_downloadable
boolean
nullable
is_live
boolean
created_at
string format: date-time
updated_at
string format: date-time
sub_property_id
integer
custom_fields

Custom fields as key value pairs

object
key
additional properties
string
player
object
color
string
button
object
title
string
url
string format: uri
media
object
playlist
string
aspect_ration
string
nullable
thumbnail
string format: uri
nullable
transcript
string format: uri
nullable
tracks
object
chapters
string format: uri
captions
Array<string>
storyboard
string format: uri
key
additional properties
any
links
object
first
string
last
string
prev
string
nullable
next
string
nullable
meta
object
current_page
integer
from
integer
nullable
last_page
integer
links
Array<object>
object
url
string
nullable
label
string
active
boolean
path
string
per_page
integer
to
integer
nullable
total
integer
Example
{
"data": [
{
"type": "Audio"
}
]
}

Bad request

Media type application/json
object
message
string
Example generated
{
"message": "example"
}

Missing or invalid Authorization Bearer token

Media type application/json
object
message
string
Example generated
{
"message": "example"
}

Item is missing or not found

Media type application/json
object
error
string
default: Not found
Example
{
"error": "Not found"
}